Next: SIZE, Previous: SIND, Up: Intrinsic Procedures

### 8.251 `SINH` — Hyperbolic sine function

Description:
  `SINH(X)` computes the hyperbolic sine of X.
Standard:
  Fortran 90 and later, for a complex argument Fortran 2008 or later, has a GNU extension
Class:
  Elemental function
Syntax:
  `RESULT = SINH(X)`
Arguments:

  X | The type shall be `REAL` or `COMPLEX`.

Return value:
  The return value has same type and kind as X.
Example:

                program test_sinh
                  real(8) :: x = - 1.0_8
                  x = sinh(x)
                end program test_sinh

Specific names:

  Name | Argument | Return type | Standard
  --- | --- | --- | ---
  `DSINH(X)` | `REAL(8) X` | `REAL(8)` | Fortran 90 and later

See also:
  ASINH